Skip to main content

Create Business Offer Metafield

API operation: Open the endpoint in the API reference

Use POST /business/{business_id}/offers/{offer_id}/metafields to create a metafield on a business offer. The current public operation is OfferMetafield.register.

If available, the operation requires administrator or business-manager authentication. The operation verifies the business context and manager ownership, and associates the metafield with offer_id. value_type accepts integer, decimal, boolean, text, or json .

Metafield keys are validated dynamically for each offer. See Extra attributes (Metafields) for shared concepts and List business offer metafields for the related collection.

OpenAPI reference​

Operation: POST /business/{business_id}/offers/{offer_id}/metafields

Path parameters

NameTypeRequiredDescription
business_idintegerYes—
offer_idintegerYes—

Request body fields

NameTypeRequired
modelanyYes
object_idintegerYes
valueanyYes
value_typestringYes

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference